Subject: bug#45620: 28.0.50; Child frames should have their own border width and colour

From: martin rudalics <[email-masked]>
Date: Tue, 5 Jan 2021 16:33:05 +0100

> To be honest I've don't really like C as a language, and learning it
 > would not do anything professionally for me either. So I'm jumping into
 > this strictly for the sake of improving Emacs.

Then please jump into this as often as you want.

 > x, ns and w32 all used the same code, so I changed them all to look like
 > this now.

OK.  I think a main reason that we usually do not factor out code in
these is that only one of them gets compiled in anyway - so we just save
an extra call.

 >  >> - Currently the actual width of the border is still controlled by the
 >  >> `internal-border-width` parameter for both frame types. Should I try to
 >  >> do something about that as well? If yes, what's my entry point?
 >  >
 >  > Add a 'child-frame-border-width' parameter. But in this case I would
 >  > propose to proceed as follows:
 >  >
 >  > - If for a frame the 'child-frame-border-width' was explicitly set, use
 >  > it.
 >  >
 >  > - If it was not set, use the 'internal-border-width' parameter.
 >
 > That's done now too, at least for X. I'll attach patches of my first
 > working drafts for both changes. Let me know if I'm on the right path so
 > far.

You're already at the end of it.  Please document the changes in the
Elisp manual and announce them as (probably incompatible) changes in
NEWS.

 >  >> - I think I'll need to sign the FSF copyright assignment, unless the
 >  >> limit is higher than the 15 lines I am remembering.
 >  >
 >  > I think so too.
 >  >
 >
 > Ok, what do I do?

Eli, can you send Arthur the forms please?

Thanks, martin